//
//  TSearchDlg.cs
//  Copyright 2005 Takeshi Yoneki / OSTRA / OSTRACISM CO., All rights reserved.
//
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Resources;

namespace GGG4W
{
	/// <summary>
	/// TSearchDlg _CAONX
	/// </summary>
	public class TSearchDlg : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.OpenFileDialog openFileDialog;
		private System.Windows.Forms.FolderBrowserDialog folderBrowserDialog;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.TextBox edtTargetFilePath;
		private System.Windows.Forms.Button btnTargetFilePathRef;
		private System.Windows.Forms.TextBox edtTopDirPath;
		private System.Windows.Forms.Button btnTopDirPathRef;
		private System.Windows.Forms.ComboBox cbxBits;
		private System.Windows.Forms.RadioButton rbSelectSearchDirectory;
		private System.Windows.Forms.RadioButton rbSelectSearchIndexFile;
		private System.Windows.Forms.TextBox edtIndexFilePath;
		private System.Windows.Forms.Button btnIndexFilePathRef;
		private System.Windows.Forms.ComboBox cbxMatchRate;
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		private System.ComponentModel.Container components = null;

		public TSearchDlg()
		{
			//
			// Windows tH[ fUCi T|[gɕKvłB
			//
			InitializeComponent();

			//
			// TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
			//
			this.AcceptButton = btnOK;
			this.CancelButton = btnCancel;
		}

		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows tH[ fUCiŐꂽR[h 
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(TSearchDlg));
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.edtTargetFilePath = new System.Windows.Forms.TextBox();
			this.btnTargetFilePathRef = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.edtTopDirPath = new System.Windows.Forms.TextBox();
			this.btnTopDirPathRef = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.cbxBits = new System.Windows.Forms.ComboBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.cbxMatchRate = new System.Windows.Forms.ComboBox();
			this.label6 = new System.Windows.Forms.Label();
			this.rbSelectSearchDirectory = new System.Windows.Forms.RadioButton();
			this.rbSelectSearchIndexFile = new System.Windows.Forms.RadioButton();
			this.label7 = new System.Windows.Forms.Label();
			this.edtIndexFilePath = new System.Windows.Forms.TextBox();
			this.btnIndexFilePathRef = new System.Windows.Forms.Button();
			this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
			this.folderBrowserDialog = new System.Windows.Forms.FolderBrowserDialog();
			this.SuspendLayout();
			// 
			// btnOK
			// 
			this.btnOK.AccessibleDescription = resources.GetString("btnOK.AccessibleDescription");
			this.btnOK.AccessibleName = resources.GetString("btnOK.AccessibleName");
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnOK.Anchor")));
			this.btnOK.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnOK.BackgroundImage")));
			this.btnOK.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnOK.Dock")));
			this.btnOK.Enabled = ((bool)(resources.GetObject("btnOK.Enabled")));
			this.btnOK.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnOK.FlatStyle")));
			this.btnOK.Font = ((System.Drawing.Font)(resources.GetObject("btnOK.Font")));
			this.btnOK.Image = ((System.Drawing.Image)(resources.GetObject("btnOK.Image")));
			this.btnOK.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnOK.ImageAlign")));
			this.btnOK.ImageIndex = ((int)(resources.GetObject("btnOK.ImageIndex")));
			this.btnOK.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnOK.ImeMode")));
			this.btnOK.Location = ((System.Drawing.Point)(resources.GetObject("btnOK.Location")));
			this.btnOK.Name = "btnOK";
			this.btnOK.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnOK.RightToLeft")));
			this.btnOK.Size = ((System.Drawing.Size)(resources.GetObject("btnOK.Size")));
			this.btnOK.TabIndex = ((int)(resources.GetObject("btnOK.TabIndex")));
			this.btnOK.Text = resources.GetString("btnOK.Text");
			this.btnOK.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnOK.TextAlign")));
			this.btnOK.Visible = ((bool)(resources.GetObject("btnOK.Visible")));
			this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
			// 
			// btnCancel
			// 
			this.btnCancel.AccessibleDescription = resources.GetString("btnCancel.AccessibleDescription");
			this.btnCancel.AccessibleName = resources.GetString("btnCancel.AccessibleName");
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnCancel.Anchor")));
			this.btnCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnCancel.BackgroundImage")));
			this.btnCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnCancel.Dock")));
			this.btnCancel.Enabled = ((bool)(resources.GetObject("btnCancel.Enabled")));
			this.btnCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnCancel.FlatStyle")));
			this.btnCancel.Font = ((System.Drawing.Font)(resources.GetObject("btnCancel.Font")));
			this.btnCancel.Image = ((System.Drawing.Image)(resources.GetObject("btnCancel.Image")));
			this.btnCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnCancel.ImageAlign")));
			this.btnCancel.ImageIndex = ((int)(resources.GetObject("btnCancel.ImageIndex")));
			this.btnCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnCancel.ImeMode")));
			this.btnCancel.Location = ((System.Drawing.Point)(resources.GetObject("btnCancel.Location")));
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnCancel.RightToLeft")));
			this.btnCancel.Size = ((System.Drawing.Size)(resources.GetObject("btnCancel.Size")));
			this.btnCancel.TabIndex = ((int)(resources.GetObject("btnCancel.TabIndex")));
			this.btnCancel.Text = resources.GetString("btnCancel.Text");
			this.btnCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnCancel.TextAlign")));
			this.btnCancel.Visible = ((bool)(resources.GetObject("btnCancel.Visible")));
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// edtTargetFilePath
			// 
			this.edtTargetFilePath.AccessibleDescription = resources.GetString("edtTargetFilePath.AccessibleDescription");
			this.edtTargetFilePath.AccessibleName = resources.GetString("edtTargetFilePath.AccessibleName");
			this.edtTargetFilePath.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("edtTargetFilePath.Anchor")));
			this.edtTargetFilePath.AutoSize = ((bool)(resources.GetObject("edtTargetFilePath.AutoSize")));
			this.edtTargetFilePath.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("edtTargetFilePath.BackgroundImage")));
			this.edtTargetFilePath.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("edtTargetFilePath.Dock")));
			this.edtTargetFilePath.Enabled = ((bool)(resources.GetObject("edtTargetFilePath.Enabled")));
			this.edtTargetFilePath.Font = ((System.Drawing.Font)(resources.GetObject("edtTargetFilePath.Font")));
			this.edtTargetFilePath.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("edtTargetFilePath.ImeMode")));
			this.edtTargetFilePath.Location = ((System.Drawing.Point)(resources.GetObject("edtTargetFilePath.Location")));
			this.edtTargetFilePath.MaxLength = ((int)(resources.GetObject("edtTargetFilePath.MaxLength")));
			this.edtTargetFilePath.Multiline = ((bool)(resources.GetObject("edtTargetFilePath.Multiline")));
			this.edtTargetFilePath.Name = "edtTargetFilePath";
			this.edtTargetFilePath.PasswordChar = ((char)(resources.GetObject("edtTargetFilePath.PasswordChar")));
			this.edtTargetFilePath.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("edtTargetFilePath.RightToLeft")));
			this.edtTargetFilePath.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("edtTargetFilePath.ScrollBars")));
			this.edtTargetFilePath.Size = ((System.Drawing.Size)(resources.GetObject("edtTargetFilePath.Size")));
			this.edtTargetFilePath.TabIndex = ((int)(resources.GetObject("edtTargetFilePath.TabIndex")));
			this.edtTargetFilePath.Text = resources.GetString("edtTargetFilePath.Text");
			this.edtTargetFilePath.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("edtTargetFilePath.TextAlign")));
			this.edtTargetFilePath.Visible = ((bool)(resources.GetObject("edtTargetFilePath.Visible")));
			this.edtTargetFilePath.WordWrap = ((bool)(resources.GetObject("edtTargetFilePath.WordWrap")));
			// 
			// btnTargetFilePathRef
			// 
			this.btnTargetFilePathRef.AccessibleDescription = resources.GetString("btnTargetFilePathRef.AccessibleDescription");
			this.btnTargetFilePathRef.AccessibleName = resources.GetString("btnTargetFilePathRef.AccessibleName");
			this.btnTargetFilePathRef.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnTargetFilePathRef.Anchor")));
			this.btnTargetFilePathRef.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnTargetFilePathRef.BackgroundImage")));
			this.btnTargetFilePathRef.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnTargetFilePathRef.Dock")));
			this.btnTargetFilePathRef.Enabled = ((bool)(resources.GetObject("btnTargetFilePathRef.Enabled")));
			this.btnTargetFilePathRef.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnTargetFilePathRef.FlatStyle")));
			this.btnTargetFilePathRef.Font = ((System.Drawing.Font)(resources.GetObject("btnTargetFilePathRef.Font")));
			this.btnTargetFilePathRef.Image = ((System.Drawing.Image)(resources.GetObject("btnTargetFilePathRef.Image")));
			this.btnTargetFilePathRef.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnTargetFilePathRef.ImageAlign")));
			this.btnTargetFilePathRef.ImageIndex = ((int)(resources.GetObject("btnTargetFilePathRef.ImageIndex")));
			this.btnTargetFilePathRef.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnTargetFilePathRef.ImeMode")));
			this.btnTargetFilePathRef.Location = ((System.Drawing.Point)(resources.GetObject("btnTargetFilePathRef.Location")));
			this.btnTargetFilePathRef.Name = "btnTargetFilePathRef";
			this.btnTargetFilePathRef.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnTargetFilePathRef.RightToLeft")));
			this.btnTargetFilePathRef.Size = ((System.Drawing.Size)(resources.GetObject("btnTargetFilePathRef.Size")));
			this.btnTargetFilePathRef.TabIndex = ((int)(resources.GetObject("btnTargetFilePathRef.TabIndex")));
			this.btnTargetFilePathRef.Text = resources.GetString("btnTargetFilePathRef.Text");
			this.btnTargetFilePathRef.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnTargetFilePathRef.TextAlign")));
			this.btnTargetFilePathRef.Visible = ((bool)(resources.GetObject("btnTargetFilePathRef.Visible")));
			this.btnTargetFilePathRef.Click += new System.EventHandler(this.btnTargetFilePathRef_Click);
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// edtTopDirPath
			// 
			this.edtTopDirPath.AccessibleDescription = resources.GetString("edtTopDirPath.AccessibleDescription");
			this.edtTopDirPath.AccessibleName = resources.GetString("edtTopDirPath.AccessibleName");
			this.edtTopDirPath.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("edtTopDirPath.Anchor")));
			this.edtTopDirPath.AutoSize = ((bool)(resources.GetObject("edtTopDirPath.AutoSize")));
			this.edtTopDirPath.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("edtTopDirPath.BackgroundImage")));
			this.edtTopDirPath.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("edtTopDirPath.Dock")));
			this.edtTopDirPath.Enabled = ((bool)(resources.GetObject("edtTopDirPath.Enabled")));
			this.edtTopDirPath.Font = ((System.Drawing.Font)(resources.GetObject("edtTopDirPath.Font")));
			this.edtTopDirPath.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("edtTopDirPath.ImeMode")));
			this.edtTopDirPath.Location = ((System.Drawing.Point)(resources.GetObject("edtTopDirPath.Location")));
			this.edtTopDirPath.MaxLength = ((int)(resources.GetObject("edtTopDirPath.MaxLength")));
			this.edtTopDirPath.Multiline = ((bool)(resources.GetObject("edtTopDirPath.Multiline")));
			this.edtTopDirPath.Name = "edtTopDirPath";
			this.edtTopDirPath.PasswordChar = ((char)(resources.GetObject("edtTopDirPath.PasswordChar")));
			this.edtTopDirPath.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("edtTopDirPath.RightToLeft")));
			this.edtTopDirPath.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("edtTopDirPath.ScrollBars")));
			this.edtTopDirPath.Size = ((System.Drawing.Size)(resources.GetObject("edtTopDirPath.Size")));
			this.edtTopDirPath.TabIndex = ((int)(resources.GetObject("edtTopDirPath.TabIndex")));
			this.edtTopDirPath.Text = resources.GetString("edtTopDirPath.Text");
			this.edtTopDirPath.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("edtTopDirPath.TextAlign")));
			this.edtTopDirPath.Visible = ((bool)(resources.GetObject("edtTopDirPath.Visible")));
			this.edtTopDirPath.WordWrap = ((bool)(resources.GetObject("edtTopDirPath.WordWrap")));
			// 
			// btnTopDirPathRef
			// 
			this.btnTopDirPathRef.AccessibleDescription = resources.GetString("btnTopDirPathRef.AccessibleDescription");
			this.btnTopDirPathRef.AccessibleName = resources.GetString("btnTopDirPathRef.AccessibleName");
			this.btnTopDirPathRef.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnTopDirPathRef.Anchor")));
			this.btnTopDirPathRef.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnTopDirPathRef.BackgroundImage")));
			this.btnTopDirPathRef.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnTopDirPathRef.Dock")));
			this.btnTopDirPathRef.Enabled = ((bool)(resources.GetObject("btnTopDirPathRef.Enabled")));
			this.btnTopDirPathRef.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnTopDirPathRef.FlatStyle")));
			this.btnTopDirPathRef.Font = ((System.Drawing.Font)(resources.GetObject("btnTopDirPathRef.Font")));
			this.btnTopDirPathRef.Image = ((System.Drawing.Image)(resources.GetObject("btnTopDirPathRef.Image")));
			this.btnTopDirPathRef.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnTopDirPathRef.ImageAlign")));
			this.btnTopDirPathRef.ImageIndex = ((int)(resources.GetObject("btnTopDirPathRef.ImageIndex")));
			this.btnTopDirPathRef.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnTopDirPathRef.ImeMode")));
			this.btnTopDirPathRef.Location = ((System.Drawing.Point)(resources.GetObject("btnTopDirPathRef.Location")));
			this.btnTopDirPathRef.Name = "btnTopDirPathRef";
			this.btnTopDirPathRef.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnTopDirPathRef.RightToLeft")));
			this.btnTopDirPathRef.Size = ((System.Drawing.Size)(resources.GetObject("btnTopDirPathRef.Size")));
			this.btnTopDirPathRef.TabIndex = ((int)(resources.GetObject("btnTopDirPathRef.TabIndex")));
			this.btnTopDirPathRef.Text = resources.GetString("btnTopDirPathRef.Text");
			this.btnTopDirPathRef.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnTopDirPathRef.TextAlign")));
			this.btnTopDirPathRef.Visible = ((bool)(resources.GetObject("btnTopDirPathRef.Visible")));
			this.btnTopDirPathRef.Click += new System.EventHandler(this.btnTopDirPathRef_Click);
			// 
			// label3
			// 
			this.label3.AccessibleDescription = resources.GetString("label3.AccessibleDescription");
			this.label3.AccessibleName = resources.GetString("label3.AccessibleName");
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label3.Anchor")));
			this.label3.AutoSize = ((bool)(resources.GetObject("label3.AutoSize")));
			this.label3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label3.Dock")));
			this.label3.Enabled = ((bool)(resources.GetObject("label3.Enabled")));
			this.label3.Font = ((System.Drawing.Font)(resources.GetObject("label3.Font")));
			this.label3.Image = ((System.Drawing.Image)(resources.GetObject("label3.Image")));
			this.label3.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.ImageAlign")));
			this.label3.ImageIndex = ((int)(resources.GetObject("label3.ImageIndex")));
			this.label3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label3.ImeMode")));
			this.label3.Location = ((System.Drawing.Point)(resources.GetObject("label3.Location")));
			this.label3.Name = "label3";
			this.label3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label3.RightToLeft")));
			this.label3.Size = ((System.Drawing.Size)(resources.GetObject("label3.Size")));
			this.label3.TabIndex = ((int)(resources.GetObject("label3.TabIndex")));
			this.label3.Text = resources.GetString("label3.Text");
			this.label3.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.TextAlign")));
			this.label3.Visible = ((bool)(resources.GetObject("label3.Visible")));
			// 
			// cbxBits
			// 
			this.cbxBits.AccessibleDescription = resources.GetString("cbxBits.AccessibleDescription");
			this.cbxBits.AccessibleName = resources.GetString("cbxBits.AccessibleName");
			this.cbxBits.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("cbxBits.Anchor")));
			this.cbxBits.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("cbxBits.BackgroundImage")));
			this.cbxBits.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("cbxBits.Dock")));
			this.cbxBits.Enabled = ((bool)(resources.GetObject("cbxBits.Enabled")));
			this.cbxBits.Font = ((System.Drawing.Font)(resources.GetObject("cbxBits.Font")));
			this.cbxBits.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("cbxBits.ImeMode")));
			this.cbxBits.IntegralHeight = ((bool)(resources.GetObject("cbxBits.IntegralHeight")));
			this.cbxBits.ItemHeight = ((int)(resources.GetObject("cbxBits.ItemHeight")));
			this.cbxBits.Items.AddRange(new object[] {
														 resources.GetString("cbxBits.Items"),
														 resources.GetString("cbxBits.Items1"),
														 resources.GetString("cbxBits.Items2"),
														 resources.GetString("cbxBits.Items3")});
			this.cbxBits.Location = ((System.Drawing.Point)(resources.GetObject("cbxBits.Location")));
			this.cbxBits.MaxDropDownItems = ((int)(resources.GetObject("cbxBits.MaxDropDownItems")));
			this.cbxBits.MaxLength = ((int)(resources.GetObject("cbxBits.MaxLength")));
			this.cbxBits.Name = "cbxBits";
			this.cbxBits.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("cbxBits.RightToLeft")));
			this.cbxBits.Size = ((System.Drawing.Size)(resources.GetObject("cbxBits.Size")));
			this.cbxBits.TabIndex = ((int)(resources.GetObject("cbxBits.TabIndex")));
			this.cbxBits.Text = resources.GetString("cbxBits.Text");
			this.cbxBits.Visible = ((bool)(resources.GetObject("cbxBits.Visible")));
			// 
			// label4
			// 
			this.label4.AccessibleDescription = resources.GetString("label4.AccessibleDescription");
			this.label4.AccessibleName = resources.GetString("label4.AccessibleName");
			this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label4.Anchor")));
			this.label4.AutoSize = ((bool)(resources.GetObject("label4.AutoSize")));
			this.label4.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label4.Dock")));
			this.label4.Enabled = ((bool)(resources.GetObject("label4.Enabled")));
			this.label4.Font = ((System.Drawing.Font)(resources.GetObject("label4.Font")));
			this.label4.Image = ((System.Drawing.Image)(resources.GetObject("label4.Image")));
			this.label4.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.ImageAlign")));
			this.label4.ImageIndex = ((int)(resources.GetObject("label4.ImageIndex")));
			this.label4.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label4.ImeMode")));
			this.label4.Location = ((System.Drawing.Point)(resources.GetObject("label4.Location")));
			this.label4.Name = "label4";
			this.label4.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label4.RightToLeft")));
			this.label4.Size = ((System.Drawing.Size)(resources.GetObject("label4.Size")));
			this.label4.TabIndex = ((int)(resources.GetObject("label4.TabIndex")));
			this.label4.Text = resources.GetString("label4.Text");
			this.label4.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.TextAlign")));
			this.label4.Visible = ((bool)(resources.GetObject("label4.Visible")));
			// 
			// label5
			// 
			this.label5.AccessibleDescription = resources.GetString("label5.AccessibleDescription");
			this.label5.AccessibleName = resources.GetString("label5.AccessibleName");
			this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label5.Anchor")));
			this.label5.AutoSize = ((bool)(resources.GetObject("label5.AutoSize")));
			this.label5.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label5.Dock")));
			this.label5.Enabled = ((bool)(resources.GetObject("label5.Enabled")));
			this.label5.Font = ((System.Drawing.Font)(resources.GetObject("label5.Font")));
			this.label5.Image = ((System.Drawing.Image)(resources.GetObject("label5.Image")));
			this.label5.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.ImageAlign")));
			this.label5.ImageIndex = ((int)(resources.GetObject("label5.ImageIndex")));
			this.label5.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label5.ImeMode")));
			this.label5.Location = ((System.Drawing.Point)(resources.GetObject("label5.Location")));
			this.label5.Name = "label5";
			this.label5.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label5.RightToLeft")));
			this.label5.Size = ((System.Drawing.Size)(resources.GetObject("label5.Size")));
			this.label5.TabIndex = ((int)(resources.GetObject("label5.TabIndex")));
			this.label5.Text = resources.GetString("label5.Text");
			this.label5.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label5.TextAlign")));
			this.label5.Visible = ((bool)(resources.GetObject("label5.Visible")));
			// 
			// cbxMatchRate
			// 
			this.cbxMatchRate.AccessibleDescription = resources.GetString("cbxMatchRate.AccessibleDescription");
			this.cbxMatchRate.AccessibleName = resources.GetString("cbxMatchRate.AccessibleName");
			this.cbxMatchRate.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("cbxMatchRate.Anchor")));
			this.cbxMatchRate.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("cbxMatchRate.BackgroundImage")));
			this.cbxMatchRate.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("cbxMatchRate.Dock")));
			this.cbxMatchRate.Enabled = ((bool)(resources.GetObject("cbxMatchRate.Enabled")));
			this.cbxMatchRate.Font = ((System.Drawing.Font)(resources.GetObject("cbxMatchRate.Font")));
			this.cbxMatchRate.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("cbxMatchRate.ImeMode")));
			this.cbxMatchRate.IntegralHeight = ((bool)(resources.GetObject("cbxMatchRate.IntegralHeight")));
			this.cbxMatchRate.ItemHeight = ((int)(resources.GetObject("cbxMatchRate.ItemHeight")));
			this.cbxMatchRate.Items.AddRange(new object[] {
															  resources.GetString("cbxMatchRate.Items"),
															  resources.GetString("cbxMatchRate.Items1"),
															  resources.GetString("cbxMatchRate.Items2"),
															  resources.GetString("cbxMatchRate.Items3"),
															  resources.GetString("cbxMatchRate.Items4"),
															  resources.GetString("cbxMatchRate.Items5"),
															  resources.GetString("cbxMatchRate.Items6"),
															  resources.GetString("cbxMatchRate.Items7"),
															  resources.GetString("cbxMatchRate.Items8"),
															  resources.GetString("cbxMatchRate.Items9")});
			this.cbxMatchRate.Location = ((System.Drawing.Point)(resources.GetObject("cbxMatchRate.Location")));
			this.cbxMatchRate.MaxDropDownItems = ((int)(resources.GetObject("cbxMatchRate.MaxDropDownItems")));
			this.cbxMatchRate.MaxLength = ((int)(resources.GetObject("cbxMatchRate.MaxLength")));
			this.cbxMatchRate.Name = "cbxMatchRate";
			this.cbxMatchRate.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("cbxMatchRate.RightToLeft")));
			this.cbxMatchRate.Size = ((System.Drawing.Size)(resources.GetObject("cbxMatchRate.Size")));
			this.cbxMatchRate.TabIndex = ((int)(resources.GetObject("cbxMatchRate.TabIndex")));
			this.cbxMatchRate.Text = resources.GetString("cbxMatchRate.Text");
			this.cbxMatchRate.Visible = ((bool)(resources.GetObject("cbxMatchRate.Visible")));
			// 
			// label6
			// 
			this.label6.AccessibleDescription = resources.GetString("label6.AccessibleDescription");
			this.label6.AccessibleName = resources.GetString("label6.AccessibleName");
			this.label6.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label6.Anchor")));
			this.label6.AutoSize = ((bool)(resources.GetObject("label6.AutoSize")));
			this.label6.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label6.Dock")));
			this.label6.Enabled = ((bool)(resources.GetObject("label6.Enabled")));
			this.label6.Font = ((System.Drawing.Font)(resources.GetObject("label6.Font")));
			this.label6.Image = ((System.Drawing.Image)(resources.GetObject("label6.Image")));
			this.label6.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label6.ImageAlign")));
			this.label6.ImageIndex = ((int)(resources.GetObject("label6.ImageIndex")));
			this.label6.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label6.ImeMode")));
			this.label6.Location = ((System.Drawing.Point)(resources.GetObject("label6.Location")));
			this.label6.Name = "label6";
			this.label6.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label6.RightToLeft")));
			this.label6.Size = ((System.Drawing.Size)(resources.GetObject("label6.Size")));
			this.label6.TabIndex = ((int)(resources.GetObject("label6.TabIndex")));
			this.label6.Text = resources.GetString("label6.Text");
			this.label6.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label6.TextAlign")));
			this.label6.Visible = ((bool)(resources.GetObject("label6.Visible")));
			// 
			// rbSelectSearchDirectory
			// 
			this.rbSelectSearchDirectory.AccessibleDescription = resources.GetString("rbSelectSearchDirectory.AccessibleDescription");
			this.rbSelectSearchDirectory.AccessibleName = resources.GetString("rbSelectSearchDirectory.AccessibleName");
			this.rbSelectSearchDirectory.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("rbSelectSearchDirectory.Anchor")));
			this.rbSelectSearchDirectory.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("rbSelectSearchDirectory.Appearance")));
			this.rbSelectSearchDirectory.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("rbSelectSearchDirectory.BackgroundImage")));
			this.rbSelectSearchDirectory.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbSelectSearchDirectory.CheckAlign")));
			this.rbSelectSearchDirectory.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("rbSelectSearchDirectory.Dock")));
			this.rbSelectSearchDirectory.Enabled = ((bool)(resources.GetObject("rbSelectSearchDirectory.Enabled")));
			this.rbSelectSearchDirectory.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("rbSelectSearchDirectory.FlatStyle")));
			this.rbSelectSearchDirectory.Font = ((System.Drawing.Font)(resources.GetObject("rbSelectSearchDirectory.Font")));
			this.rbSelectSearchDirectory.Image = ((System.Drawing.Image)(resources.GetObject("rbSelectSearchDirectory.Image")));
			this.rbSelectSearchDirectory.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbSelectSearchDirectory.ImageAlign")));
			this.rbSelectSearchDirectory.ImageIndex = ((int)(resources.GetObject("rbSelectSearchDirectory.ImageIndex")));
			this.rbSelectSearchDirectory.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("rbSelectSearchDirectory.ImeMode")));
			this.rbSelectSearchDirectory.Location = ((System.Drawing.Point)(resources.GetObject("rbSelectSearchDirectory.Location")));
			this.rbSelectSearchDirectory.Name = "rbSelectSearchDirectory";
			this.rbSelectSearchDirectory.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("rbSelectSearchDirectory.RightToLeft")));
			this.rbSelectSearchDirectory.Size = ((System.Drawing.Size)(resources.GetObject("rbSelectSearchDirectory.Size")));
			this.rbSelectSearchDirectory.TabIndex = ((int)(resources.GetObject("rbSelectSearchDirectory.TabIndex")));
			this.rbSelectSearchDirectory.TabStop = true;
			this.rbSelectSearchDirectory.Text = resources.GetString("rbSelectSearchDirectory.Text");
			this.rbSelectSearchDirectory.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbSelectSearchDirectory.TextAlign")));
			this.rbSelectSearchDirectory.Visible = ((bool)(resources.GetObject("rbSelectSearchDirectory.Visible")));
			// 
			// rbSelectSearchIndexFile
			// 
			this.rbSelectSearchIndexFile.AccessibleDescription = resources.GetString("rbSelectSearchIndexFile.AccessibleDescription");
			this.rbSelectSearchIndexFile.AccessibleName = resources.GetString("rbSelectSearchIndexFile.AccessibleName");
			this.rbSelectSearchIndexFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("rbSelectSearchIndexFile.Anchor")));
			this.rbSelectSearchIndexFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("rbSelectSearchIndexFile.Appearance")));
			this.rbSelectSearchIndexFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("rbSelectSearchIndexFile.BackgroundImage")));
			this.rbSelectSearchIndexFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbSelectSearchIndexFile.CheckAlign")));
			this.rbSelectSearchIndexFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("rbSelectSearchIndexFile.Dock")));
			this.rbSelectSearchIndexFile.Enabled = ((bool)(resources.GetObject("rbSelectSearchIndexFile.Enabled")));
			this.rbSelectSearchIndexFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("rbSelectSearchIndexFile.FlatStyle")));
			this.rbSelectSearchIndexFile.Font = ((System.Drawing.Font)(resources.GetObject("rbSelectSearchIndexFile.Font")));
			this.rbSelectSearchIndexFile.Image = ((System.Drawing.Image)(resources.GetObject("rbSelectSearchIndexFile.Image")));
			this.rbSelectSearchIndexFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbSelectSearchIndexFile.ImageAlign")));
			this.rbSelectSearchIndexFile.ImageIndex = ((int)(resources.GetObject("rbSelectSearchIndexFile.ImageIndex")));
			this.rbSelectSearchIndexFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("rbSelectSearchIndexFile.ImeMode")));
			this.rbSelectSearchIndexFile.Location = ((System.Drawing.Point)(resources.GetObject("rbSelectSearchIndexFile.Location")));
			this.rbSelectSearchIndexFile.Name = "rbSelectSearchIndexFile";
			this.rbSelectSearchIndexFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("rbSelectSearchIndexFile.RightToLeft")));
			this.rbSelectSearchIndexFile.Size = ((System.Drawing.Size)(resources.GetObject("rbSelectSearchIndexFile.Size")));
			this.rbSelectSearchIndexFile.TabIndex = ((int)(resources.GetObject("rbSelectSearchIndexFile.TabIndex")));
			this.rbSelectSearchIndexFile.Text = resources.GetString("rbSelectSearchIndexFile.Text");
			this.rbSelectSearchIndexFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("rbSelectSearchIndexFile.TextAlign")));
			this.rbSelectSearchIndexFile.Visible = ((bool)(resources.GetObject("rbSelectSearchIndexFile.Visible")));
			// 
			// label7
			// 
			this.label7.AccessibleDescription = resources.GetString("label7.AccessibleDescription");
			this.label7.AccessibleName = resources.GetString("label7.AccessibleName");
			this.label7.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label7.Anchor")));
			this.label7.AutoSize = ((bool)(resources.GetObject("label7.AutoSize")));
			this.label7.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label7.Dock")));
			this.label7.Enabled = ((bool)(resources.GetObject("label7.Enabled")));
			this.label7.Font = ((System.Drawing.Font)(resources.GetObject("label7.Font")));
			this.label7.Image = ((System.Drawing.Image)(resources.GetObject("label7.Image")));
			this.label7.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label7.ImageAlign")));
			this.label7.ImageIndex = ((int)(resources.GetObject("label7.ImageIndex")));
			this.label7.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label7.ImeMode")));
			this.label7.Location = ((System.Drawing.Point)(resources.GetObject("label7.Location")));
			this.label7.Name = "label7";
			this.label7.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label7.RightToLeft")));
			this.label7.Size = ((System.Drawing.Size)(resources.GetObject("label7.Size")));
			this.label7.TabIndex = ((int)(resources.GetObject("label7.TabIndex")));
			this.label7.Text = resources.GetString("label7.Text");
			this.label7.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label7.TextAlign")));
			this.label7.Visible = ((bool)(resources.GetObject("label7.Visible")));
			// 
			// edtIndexFilePath
			// 
			this.edtIndexFilePath.AccessibleDescription = resources.GetString("edtIndexFilePath.AccessibleDescription");
			this.edtIndexFilePath.AccessibleName = resources.GetString("edtIndexFilePath.AccessibleName");
			this.edtIndexFilePath.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("edtIndexFilePath.Anchor")));
			this.edtIndexFilePath.AutoSize = ((bool)(resources.GetObject("edtIndexFilePath.AutoSize")));
			this.edtIndexFilePath.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("edtIndexFilePath.BackgroundImage")));
			this.edtIndexFilePath.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("edtIndexFilePath.Dock")));
			this.edtIndexFilePath.Enabled = ((bool)(resources.GetObject("edtIndexFilePath.Enabled")));
			this.edtIndexFilePath.Font = ((System.Drawing.Font)(resources.GetObject("edtIndexFilePath.Font")));
			this.edtIndexFilePath.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("edtIndexFilePath.ImeMode")));
			this.edtIndexFilePath.Location = ((System.Drawing.Point)(resources.GetObject("edtIndexFilePath.Location")));
			this.edtIndexFilePath.MaxLength = ((int)(resources.GetObject("edtIndexFilePath.MaxLength")));
			this.edtIndexFilePath.Multiline = ((bool)(resources.GetObject("edtIndexFilePath.Multiline")));
			this.edtIndexFilePath.Name = "edtIndexFilePath";
			this.edtIndexFilePath.PasswordChar = ((char)(resources.GetObject("edtIndexFilePath.PasswordChar")));
			this.edtIndexFilePath.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("edtIndexFilePath.RightToLeft")));
			this.edtIndexFilePath.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("edtIndexFilePath.ScrollBars")));
			this.edtIndexFilePath.Size = ((System.Drawing.Size)(resources.GetObject("edtIndexFilePath.Size")));
			this.edtIndexFilePath.TabIndex = ((int)(resources.GetObject("edtIndexFilePath.TabIndex")));
			this.edtIndexFilePath.Text = resources.GetString("edtIndexFilePath.Text");
			this.edtIndexFilePath.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("edtIndexFilePath.TextAlign")));
			this.edtIndexFilePath.Visible = ((bool)(resources.GetObject("edtIndexFilePath.Visible")));
			this.edtIndexFilePath.WordWrap = ((bool)(resources.GetObject("edtIndexFilePath.WordWrap")));
			// 
			// btnIndexFilePathRef
			// 
			this.btnIndexFilePathRef.AccessibleDescription = resources.GetString("btnIndexFilePathRef.AccessibleDescription");
			this.btnIndexFilePathRef.AccessibleName = resources.GetString("btnIndexFilePathRef.AccessibleName");
			this.btnIndexFilePathRef.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("btnIndexFilePathRef.Anchor")));
			this.btnIndexFilePathRef.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnIndexFilePathRef.BackgroundImage")));
			this.btnIndexFilePathRef.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("btnIndexFilePathRef.Dock")));
			this.btnIndexFilePathRef.Enabled = ((bool)(resources.GetObject("btnIndexFilePathRef.Enabled")));
			this.btnIndexFilePathRef.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("btnIndexFilePathRef.FlatStyle")));
			this.btnIndexFilePathRef.Font = ((System.Drawing.Font)(resources.GetObject("btnIndexFilePathRef.Font")));
			this.btnIndexFilePathRef.Image = ((System.Drawing.Image)(resources.GetObject("btnIndexFilePathRef.Image")));
			this.btnIndexFilePathRef.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnIndexFilePathRef.ImageAlign")));
			this.btnIndexFilePathRef.ImageIndex = ((int)(resources.GetObject("btnIndexFilePathRef.ImageIndex")));
			this.btnIndexFilePathRef.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("btnIndexFilePathRef.ImeMode")));
			this.btnIndexFilePathRef.Location = ((System.Drawing.Point)(resources.GetObject("btnIndexFilePathRef.Location")));
			this.btnIndexFilePathRef.Name = "btnIndexFilePathRef";
			this.btnIndexFilePathRef.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("btnIndexFilePathRef.RightToLeft")));
			this.btnIndexFilePathRef.Size = ((System.Drawing.Size)(resources.GetObject("btnIndexFilePathRef.Size")));
			this.btnIndexFilePathRef.TabIndex = ((int)(resources.GetObject("btnIndexFilePathRef.TabIndex")));
			this.btnIndexFilePathRef.Text = resources.GetString("btnIndexFilePathRef.Text");
			this.btnIndexFilePathRef.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("btnIndexFilePathRef.TextAlign")));
			this.btnIndexFilePathRef.Visible = ((bool)(resources.GetObject("btnIndexFilePathRef.Visible")));
			this.btnIndexFilePathRef.Click += new System.EventHandler(this.btnIndexFilePathRef_Click);
			// 
			// openFileDialog
			// 
			this.openFileDialog.Filter = resources.GetString("openFileDialog.Filter");
			this.openFileDialog.Title = resources.GetString("openFileDialog.Title");
			// 
			// folderBrowserDialog
			// 
			this.folderBrowserDialog.Description = resources.GetString("folderBrowserDialog.Description");
			this.folderBrowserDialog.SelectedPath = resources.GetString("folderBrowserDialog.SelectedPath");
			// 
			// TSearchDlg
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.btnIndexFilePathRef);
			this.Controls.Add(this.edtIndexFilePath);
			this.Controls.Add(this.edtTopDirPath);
			this.Controls.Add(this.edtTargetFilePath);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.rbSelectSearchIndexFile);
			this.Controls.Add(this.rbSelectSearchDirectory);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.cbxMatchRate);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.cbxBits);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.btnTopDirPathRef);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.btnTargetFilePathRef);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnOK);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "TSearchDlg";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.ResumeLayout(false);

		}
		#endregion

		public TGraphicSearch m_gs;
		ResourceManager m_rmStrings = null;

		/// <summary>
		/// ݒ
		/// </summary>
		/// <param name="gs"></param>
		public void Setup(ref TGraphicSearch gs) {
			m_rmStrings = new ResourceManager("GGG4W.Resource1", GetType().Assembly);
			m_gs = gs;
			edtTargetFilePath.Text = m_gs.m_target.m_filePath;
			edtTopDirPath.Text = m_gs.m_topDirPath;
			edtIndexFilePath.Text = m_gs.m_indexFilePath;
			cbxBits.Text = m_gs.m_bits.ToString();
			cbxMatchRate.Text = m_gs.m_matchRate.ToString();
			rbSelectSearchDirectory.Checked = (m_gs.m_searchMethod == TGraphicSearch.SEARCH_DIRECTORY);
			rbSelectSearchIndexFile.Checked = (m_gs.m_searchMethod == TGraphicSearch.SEARCH_INDEXFILE);
		}

		/*
		 * ANV
		 */ 

		private void btnOK_Click(object sender, System.EventArgs e) {
			if (edtTargetFilePath.Text.Length == 0)
				return;
			if (TFileInfo.checkGraphicFile(edtTargetFilePath.Text) == false) {
				FileLoadErrorAlert(edtTargetFilePath.Text);
				return;
			}
			if (rbSelectSearchDirectory.Checked) {
				if (edtTopDirPath.Text.Length == 0)
					return;
			}
			else if (rbSelectSearchIndexFile.Checked) {
				if (edtIndexFilePath.Text.Length == 0)
					return;
				if (m_gs.CheckIndexFile(edtIndexFilePath.Text) == false) {
					FileLoadErrorAlert(edtIndexFilePath.Text);
					return;
				}
			}
			m_gs.m_target.m_filePath = edtTargetFilePath.Text;
			m_gs.m_topDirPath = edtTopDirPath.Text;
			m_gs.m_indexFilePath = edtIndexFilePath.Text;
			m_gs.m_bits = int.Parse(cbxBits.Text);
			m_gs.m_matchRate = int.Parse(cbxMatchRate.Text);
			m_gs.m_searchMethod = rbSelectSearchDirectory.Checked ? TGraphicSearch.SEARCH_DIRECTORY : TGraphicSearch.SEARCH_INDEXFILE;
			this.DialogResult = DialogResult.OK;
			this.Close();
		}

		void FileLoadErrorAlert(string path) {
			MessageBox.Show("File load error: " + path, "Error");
		}

		private void btnCancel_Click(object sender, System.EventArgs e) {
			this.DialogResult = DialogResult.Cancel;
			this.Close();
		}

		private void btnTargetFilePathRef_Click(object sender, System.EventArgs e) {
			openFileDialog.Filter = m_rmStrings.GetString("RS_TARGET_FILE_FILTER");
			openFileDialog.FileName = edtTargetFilePath.Text;
			DialogResult result = openFileDialog.ShowDialog();
			if(result == DialogResult.OK)
				edtTargetFilePath.Text = openFileDialog.FileName;
		}

		private void btnTopDirPathRef_Click(object sender, System.EventArgs e) {
			folderBrowserDialog.Description = m_rmStrings.GetString("RS_SEL_DIR_DESC");
			folderBrowserDialog.SelectedPath = edtTopDirPath.Text;
			DialogResult result = folderBrowserDialog.ShowDialog();
			if( result == DialogResult.OK )
				edtTopDirPath.Text = folderBrowserDialog.SelectedPath;
		}

		private void btnIndexFilePathRef_Click(object sender, System.EventArgs e) {
			openFileDialog.Filter = m_rmStrings.GetString("RS_INDEX_FILE_FILTER");
			openFileDialog.FileName = edtIndexFilePath.Text;
			DialogResult result = openFileDialog.ShowDialog();
			if(result == DialogResult.OK)
				edtIndexFilePath.Text = openFileDialog.FileName;
		}

	}
}
